SchemaParsingConfig (Xerces2 Implementation)
Keywords: org.apache.xerces.impl.xs.opti.SchemaParsingConfig class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.opti
Class SchemaParsingConfig

    java.lang.Object
      org.apache.xerces.util.ParserConfigurationSettings
          org.apache.xerces.parsers.BasicParserConfiguration
              org.apache.xerces.impl.xs.opti.SchemaParsingConfig

All Implemented Interfaces:
  org.apache.xerces.xni.parser.XMLComponentManager, org.apache.xerces.xni.parser.XMLParserConfiguration, org.apache.xerces.xni.parser.XMLPullParserConfiguration

    public class SchemaParsingConfig

extends BasicParserConfiguration
implements org.apache.xerces.xni.parser.XMLPullParserConfiguration

Version:
  $Id: SchemaParsingConfig.java 713638 2008-11-13 04:42:18Z mrglavas $
Author:
  Rahul Srivastava, Sun Microsystems Inc.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary
`protected static java.lang.String` | `ALLOW_JAVA_ENCODINGS` Feature identifier: allow Java encodings.
`protected static java.lang.String` | `CONTINUE_AFTER_FATAL_ERROR` Feature identifier: continue after fatal error.
`protected static java.lang.String` | `DATATYPE_VALIDATOR_FACTORY` Property identifier: datatype validator factory.
`protected static java.lang.String` | `DOCUMENT_SCANNER` Property identifier document scanner:
`protected static java.lang.String` | `DTD_SCANNER` Property identifier: DTD scanner.
`protected static java.lang.String` | `DTD_VALIDATOR` Property identifier: DTD validator.
`protected static java.lang.String` | `ENTITY_MANAGER` Property identifier: entity manager.
`protected static java.lang.String` | `ERROR_REPORTER` Property identifier: error reporter.
`protected boolean` | `fConfigUpdated` fConfigUpdated is set to true if there has been any change to the configuration settings, i.e a feature or a property was changed.
`protected org.apache.xerces.xni.parser.XMLDTDScanner` | `fCurrentDTDScanner` Current DTD scanner.
`protected DTDDVFactory` | `fCurrentDVFactory` Current Datatype validator factory.
`protected org.apache.xerces.xni.parser.XMLDocumentScanner` | `fCurrentScanner` Current scanner
`protected DTDDVFactory` | `fDatatypeValidatorFactory` The XML 1.0 Datatype validator factory.
`protected XMLDTDScannerImpl` | `fDTDScanner` The XML 1.0 DTD scanner.
`protected XMLEntityManager` | `fEntityManager` Entity manager.
`protected XMLErrorReporter` | `fErrorReporter` Error reporter.
`protected org.apache.xerces.xni.grammars.XMLGrammarPool` | `fGrammarPool` Grammar pool.
`protected org.apache.xerces.xni.parser.XMLInputSource` | `fInputSource` Input Source
`protected org.apache.xerces.xni.XMLLocator` | `fLocator` Locator
`protected XMLNSDocumentScannerImpl` | `fNamespaceScanner` The XML 1.0 Document scanner.
`protected boolean` | `fParseInProgress` True if a parse is in progress.
`protected ValidationManager` | `fValidationManager`
`protected XMLVersionDetector` | `fVersionDetector` XML version detector.
`protected DTDDVFactory` | `fXML11DatatypeFactory` The XML 1.1 Datatype validator factory.
`protected XML11DTDScannerImpl` | `fXML11DTDScanner` The XML 1.1 DTD scanner.
`protected XML11NSDocumentScannerImpl` | `fXML11NSDocScanner` The XML 1.1 Document scanner.
`protected static java.lang.String` | `GENERATE_SYNTHETIC_ANNOTATIONS` Feature identifier: generate synthetic annotations.
`protected static java.lang.String` | `LOAD_EXTERNAL_DTD` Feature identifier: load external DTD.
`protected static java.lang.String` | `LOCALE` Property identifier: locale.
`protected static java.lang.String` | `NAMESPACE_BINDER` Property identifier: namespace binder.
`protected static java.lang.String` | `NORMALIZE_DATA` Feature identifier: expose schema normalized value
`protected static java.lang.String` | `NOTIFY_BUILTIN_REFS` Feature identifier: notify built-in refereces.
`protected static java.lang.String` | `NOTIFY_CHAR_REFS` Feature identifier: notify character refereces.
`protected static java.lang.String` | `SCHEMA_ELEMENT_DEFAULT` Feature identifier: send element default value via characters()
`protected static java.lang.String` | `SCHEMA_VALIDATOR` Property identifier: XML Schema validator.
`protected static java.lang.String` | `VALIDATION_MANAGER`
`protected static java.lang.String` | `WARN_ON_DUPLICATE_ATTDEF` Feature identifier: warn on duplicate attribute definition.
`protected static java.lang.String` | `WARN_ON_UNDECLARED_ELEMDEF` Feature identifier: warn on undeclared element definition.
`protected static java.lang.String` | `XML11_DATATYPE_VALIDATOR_FACTORY`
`protected static java.lang.String` | `XMLGRAMMAR_POOL` Property identifier: grammar pool.

Fields inherited from class org.apache.xerces.parsers.BasicParserConfiguration
`ENTITY_RESOLVER, ERROR_HANDLER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fComponents, fDocumentHandler, fDTDContentModelHandler, fDTDHandler, fLastComponent, fLocale, fSymbolTable, NAMESPACES, SYMBOL_TABLE, VALIDATION, XML_STRING`

Fields inherited from class org.apache.xerces.util.ParserConfigurationSettings
`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties, PARSER_SETTINGS`

Constructor Summary
`SchemaParsingConfig()` Default constructor.
`SchemaParsingConfig(SymbolTable symbolTable)` Constructs a parser configuration using the specified symbol table.
`SchemaParsingConfig(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)` Constructs a parser configuration using the specified symbol table and grammar pool.
`SchemaParsingConfig(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool, org.apache.xerces.xni.parser.XMLComponentManager parentSettings)` Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

Method Summary
`protected void` | `checkFeature(java.lang.String featureId)` Check a feature.
`protected void` | `checkProperty(java.lang.String propertyId)` Check a property.
`void` | `cleanup()` If the application decides to terminate parsing before the xml document is fully parsed, the application should call this method to free any resource allocated during parsing.
`protected void` | `configurePipeline()` Configures the XML 1.0 pipeline.
`protected void` | `configureXML11Pipeline()` Configures the XML 1.1 pipeline.
`boolean` | `getFeature(java.lang.String featureId)` Returns the state of a feature.
`java.lang.Object` | `getProperty(java.lang.String propertyId)` Returns the value of a property.
`boolean` | `parse(boolean complete)` Parses the document in a pull parsing fashion.
`void` | `parse(org.apache.xerces.xni.parser.XMLInputSource source)` Parses the specified input source.
`void` | `reset()` Reset all components before parsing.
`void` | `resetNodePool()`
`protected void` | `resetXML10()` Reset all XML 1.0 components before parsing
`protected void` | `resetXML11()` Reset all XML 1.1 components before parsing
`void` | `setFeature(java.lang.String featureId, boolean state)` Set the state of a feature.
`void` | `setInputSource(org.apache.xerces.xni.parser.XMLInputSource inputSource)` Sets the input source for the document to parse.
`void` | `setLocale(java.util.Locale locale)` Set the locale to use for messages.
`void` | `setProperty(java.lang.String propertyId, java.lang.Object value)` setProperty

Methods inherited from class org.apache.xerces.parsers.BasicParserConfiguration
`addComponent, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLocale, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler`

Methods inherited from class org.apache.xerces.util.ParserConfigurationSettings
`addRecognizedFeatures, addRecognizedProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLocale, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler`

Field Detail

### XML11_DATATYPE_VALIDATOR_FACTORY

    protected static final java.lang.String XML11_DATATYPE_VALIDATOR_FACTORY

See Also:
  Constant Field Values

### WARN_ON_DUPLICATE_ATTDEF

    protected static final java.lang.String WARN_ON_DUPLICATE_ATTDEF

  Feature identifier: warn on duplicate attribute definition.

  See Also:
    Constant Field Values

### WARN_ON_UNDECLARED_ELEMDEF

    protected static final java.lang.String WARN_ON_UNDECLARED_ELEMDEF

  Feature identifier: warn on undeclared element definition.

  See Also:
    Constant Field Values

### ALLOW_JAVA_ENCODINGS

    protected static final java.lang.String ALLOW_JAVA_ENCODINGS

  Feature identifier: allow Java encodings.

  See Also:
    Constant Field Values

### CONTINUE_AFTER_FATAL_ERROR

    protected static final java.lang.String CONTINUE_AFTER_FATAL_ERROR

  Feature identifier: continue after fatal error.

  See Also:
    Constant Field Values

### LOAD_EXTERNAL_DTD

    protected static final java.lang.String LOAD_EXTERNAL_DTD

  Feature identifier: load external DTD.

  See Also:
    Constant Field Values

### NOTIFY_BUILTIN_REFS

    protected static final java.lang.String NOTIFY_BUILTIN_REFS

  Feature identifier: notify built-in refereces.

  See Also:
    Constant Field Values

### NOTIFY_CHAR_REFS

    protected static final java.lang.String NOTIFY_CHAR_REFS

  Feature identifier: notify character refereces.

  See Also:
    Constant Field Values

### NORMALIZE_DATA

    protected static final java.lang.String NORMALIZE_DATA

  Feature identifier: expose schema normalized value

  See Also:
    Constant Field Values

### SCHEMA_ELEMENT_DEFAULT

    protected static final java.lang.String SCHEMA_ELEMENT_DEFAULT

  Feature identifier: send element default value via characters()

  See Also:
    Constant Field Values

### GENERATE_SYNTHETIC_ANNOTATIONS

    protected static final java.lang.String GENERATE_SYNTHETIC_ANNOTATIONS

  Feature identifier: generate synthetic annotations.

  See Also:
    Constant Field Values

### ERROR_REPORTER

    protected static final java.lang.String ERROR_REPORTER

  Property identifier: error reporter.

  See Also:
    Constant Field Values

### ENTITY_MANAGER

    protected static final java.lang.String ENTITY_MANAGER

  Property identifier: entity manager.

  See Also:
    Constant Field Values

### DOCUMENT_SCANNER

    protected static final java.lang.String DOCUMENT_SCANNER

  Property identifier document scanner:

  See Also:
    Constant Field Values

### DTD_SCANNER

    protected static final java.lang.String DTD_SCANNER

  Property identifier: DTD scanner.

  See Also:
    Constant Field Values

### XMLGRAMMAR_POOL

    protected static final java.lang.String XMLGRAMMAR_POOL

  Property identifier: grammar pool.

  See Also:
    Constant Field Values

### DTD_VALIDATOR

    protected static final java.lang.String DTD_VALIDATOR

  Property identifier: DTD validator.

  See Also:
    Constant Field Values

### NAMESPACE_BINDER

    protected static final java.lang.String NAMESPACE_BINDER

  Property identifier: namespace binder.

  See Also:
    Constant Field Values

### DATATYPE_VALIDATOR_FACTORY

    protected static final java.lang.String DATATYPE_VALIDATOR_FACTORY

  Property identifier: datatype validator factory.

  See Also:
    Constant Field Values

### VALIDATION_MANAGER

    protected static final java.lang.String VALIDATION_MANAGER

See Also:
  Constant Field Values

### SCHEMA_VALIDATOR

    protected static final java.lang.String SCHEMA_VALIDATOR

  Property identifier: XML Schema validator.

  See Also:
    Constant Field Values

### LOCALE

    protected static final java.lang.String LOCALE

  Property identifier: locale.

  See Also:
    Constant Field Values

### fDatatypeValidatorFactory

    protected final DTDDVFactory fDatatypeValidatorFactory

  The XML 1.0 Datatype validator factory.

### fNamespaceScanner

    protected final XMLNSDocumentScannerImpl fNamespaceScanner

  The XML 1.0 Document scanner.

### fDTDScanner

    protected final XMLDTDScannerImpl fDTDScanner

  The XML 1.0 DTD scanner.

### fXML11DatatypeFactory

    protected DTDDVFactory fXML11DatatypeFactory

  The XML 1.1 Datatype validator factory.

### fXML11NSDocScanner

    protected XML11NSDocumentScannerImpl fXML11NSDocScanner

  The XML 1.1 Document scanner.

### fXML11DTDScanner

    protected XML11DTDScannerImpl fXML11DTDScanner

  The XML 1.1 DTD scanner.

### fCurrentDVFactory

    protected DTDDVFactory fCurrentDVFactory

  Current Datatype validator factory.

### fCurrentScanner

    protected org.apache.xerces.xni.parser.XMLDocumentScanner fCurrentScanner

  Current scanner

### fCurrentDTDScanner

    protected org.apache.xerces.xni.parser.XMLDTDScanner fCurrentDTDScanner

  Current DTD scanner.

### fGrammarPool

    protected org.apache.xerces.xni.grammars.XMLGrammarPool fGrammarPool

  Grammar pool.

### fVersionDetector

    protected final XMLVersionDetector fVersionDetector

  XML version detector.

### fErrorReporter

    protected final XMLErrorReporter fErrorReporter

  Error reporter.

### fEntityManager

    protected final XMLEntityManager fEntityManager

  Entity manager.

### fInputSource

    protected org.apache.xerces.xni.parser.XMLInputSource fInputSource

  Input Source

### fValidationManager

    protected final ValidationManager fValidationManager

### fLocator

    protected org.apache.xerces.xni.XMLLocator fLocator

  Locator

### fParseInProgress

    protected boolean fParseInProgress

  True if a parse is in progress. This state is needed because some features/properties cannot be set while parsing (e.g. validation and namespaces).

### fConfigUpdated

    protected boolean fConfigUpdated

  fConfigUpdated is set to true if there has been any change to the configuration settings, i.e a feature or a property was changed.

Constructor Detail

### SchemaParsingConfig

    public SchemaParsingConfig()

  Default constructor.

### SchemaParsingConfig

    public SchemaParsingConfig(SymbolTable symbolTable)

  Constructs a parser configuration using the specified symbol table.

  Parameters:
    `symbolTable` - The symbol table to use.

### SchemaParsingConfig

    public SchemaParsingConfig(SymbolTable symbolTable,
                               org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)

  Constructs a parser configuration using the specified symbol table and grammar pool.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.

### SchemaParsingConfig

    public SchemaParsingConfig(SymbolTable symbolTable,
                               org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool,
                               org.apache.xerces.xni.parser.XMLComponentManager parentSettings)

  Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.
    `parentSettings` - The parent settings.

Method Detail

### getFeature

    public boolean getFeature(java.lang.String featureId)
                       throws org.apache.xerces.xni.parser.XMLConfigurationException

  Returns the state of a feature.

  Specified by:
    `getFeature` in interface `org.apache.xerces.xni.parser.XMLComponentManager`
  Specified by:
    `getFeature` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `getFeature` in class `ParserConfigurationSettings`
  Parameters:
    `featureId` - The feature identifier.
  Returns:
    true if the feature is supported
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### setFeature

    public void setFeature(java.lang.String featureId,
                           boolean state)
                    throws org.apache.xerces.xni.parser.XMLConfigurationException

  Set the state of a feature. Set the state of any feature in a SAX2 parser. The parser might not recognize the feature, and if it does recognize it, it might not be able to fulfill the request.

  Specified by:
    `setFeature` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `setFeature` in class `BasicParserConfiguration`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
    `state` - The requested state of the feature (true or false).
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - If the requested feature is not known.

### getProperty

    public java.lang.Object getProperty(java.lang.String propertyId)
                                 throws org.apache.xerces.xni.parser.XMLConfigurationException

  Returns the value of a property.

  Specified by:
    `getProperty` in interface `org.apache.xerces.xni.parser.XMLComponentManager`
  Specified by:
    `getProperty` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `getProperty` in class `ParserConfigurationSettings`
  Parameters:
    `propertyId` - The property identifier.
  Returns:
    the value of the property
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### setProperty

    public void setProperty(java.lang.String propertyId,
                            java.lang.Object value)
                     throws org.apache.xerces.xni.parser.XMLConfigurationException

  setProperty

  Specified by:
    `setProperty` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `setProperty` in class `BasicParserConfiguration`
  Parameters:
    `propertyId` -
    `value` -
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown if there is a configuration error.

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws org.apache.xerces.xni.XNIException

  Set the locale to use for messages.

  Specified by:
    `setLocale` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `setLocale` in class `BasicParserConfiguration`
  Parameters:
    `locale` - The locale object to use for localization of messages.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown if the parser does not support the specified locale.

### setInputSource

    public void setInputSource(org.apache.xerces.xni.parser.XMLInputSource inputSource)
                        throws org.apache.xerces.xni.parser.XMLConfigurationException,
                               java.io.IOException

  Sets the input source for the document to parse.

  Specified by:
    `setInputSource` in interface `org.apache.xerces.xni.parser.XMLPullParserConfiguration`
  Parameters:
    `inputSource` - The document's input source.
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown if there is a configuration error when initializing the parser.
    `java.io.IOException` - Thrown on I/O error.
  See Also:
    `parse(boolean)`

### parse

    public boolean parse(boolean complete)
                  throws org.apache.xerces.xni.XNIException,
                         java.io.IOException

  Parses the document in a pull parsing fashion.

  Specified by:
    `parse` in interface `org.apache.xerces.xni.parser.XMLPullParserConfiguration`
  Parameters:
    `complete` - True if the pull parser should parse the remaining document completely.
  Returns:
    True if there is more document to parse.
  Throws:
    `org.apache.xerces.xni.XNIException` - Any XNI exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the parser.
  See Also:
    `setInputSource(org.apache.xerces.xni.parser.XMLInputSource)`

### cleanup

    public void cleanup()

  If the application decides to terminate parsing before the xml document is fully parsed, the application should call this method to free any resource allocated during parsing. For example, close all opened streams.

  Specified by:
    `cleanup` in interface `org.apache.xerces.xni.parser.XMLPullParserConfiguration`

### parse

    public void parse(org.apache.xerces.xni.parser.XMLInputSource source)
               throws org.apache.xerces.xni.XNIException,
                      java.io.IOException

  Parses the specified input source.

  Specified by:
    `parse` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Specified by:
    `parse` in class `BasicParserConfiguration`
  Parameters:
    `source` - The input source.
  Throws:
    `org.apache.xerces.xni.XNIException` - Throws exception on XNI error.
    `java.io.IOException` - Throws exception on i/o error.

### reset

    public void reset()
               throws org.apache.xerces.xni.XNIException

  Reset all components before parsing.

  Overrides:
    `reset` in class `BasicParserConfiguration`
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown if an error occurs during initialization.

### configurePipeline

    protected void configurePipeline()

  Configures the XML 1.0 pipeline.

### configureXML11Pipeline

    protected void configureXML11Pipeline()

  Configures the XML 1.1 pipeline.

### checkFeature

    protected void checkFeature(java.lang.String featureId)
                         throws org.apache.xerces.xni.parser.XMLConfigurationException

  Check a feature. If feature is know and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Overrides:
    `checkFeature` in class `BasicParserConfiguration`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### checkProperty

    protected void checkProperty(java.lang.String propertyId)
                          throws org.apache.xerces.xni.parser.XMLConfigurationException

  Check a property. If the property is know and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Overrides:
    `checkProperty` in class `BasicParserConfiguration`
  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### resetXML10

    protected final void resetXML10()
                             throws org.apache.xerces.xni.XNIException

  Reset all XML 1.0 components before parsing

  Throws:
    `org.apache.xerces.xni.XNIException`

### resetXML11

    protected final void resetXML11()
                             throws org.apache.xerces.xni.XNIException

  Reset all XML 1.1 components before parsing

  Throws:
    `org.apache.xerces.xni.XNIException`

### resetNodePool

    public void resetNodePool()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.